Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezad/admin/categoryedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) if(isset( $DeleteCategories)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZAdMain", "Language" )
if(isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") if(isset( $Action) && $Action=="DeleteCategories") if(isset( $Action) && $Action=="New") | $t
| $category = new eZAdCategory()
| $categoryArray = $category->getAll( )
| $tree = $category->getTree()

## Variable Documentation

## ◆ $category

if (isset($Action) &&$Action=="Edit") $category = new eZAdCategory()

Definition at line 133 of file ezad/admin/categoryedit.php.

## ◆ $categoryArray

$categoryArray = $category->getAll( )

Definition at line 135 of file ezad/admin/categoryedit.php.

## ◆ $ini

if (isset($Cancel)) if (isset($DeleteCategories)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 43 of file ezad/admin/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZAdMain", "Language" )

Definition at line 44 of file ezad/admin/categoryedit.php.

## ◆ $t

if (isset($Action) &&$Action=="Insert") if (isset($Action) &&$Action=="Update") if (isset($Action) &&$Action=="Delete") if (isset($Action) &&$Action=="DeleteCategories") if (isset($Action) &&$Action=="New") $t

Initial value:
= new eZTemplate( "kernel/ezad/admin/" . $ini->variable( "eZAdMain", "AdminTemplateDir" ),
"kernel/ezad/admin/intl/", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) if(isset( $DeleteCategories)) $ini
Definition: ezad/admin/categoryedit.php:43
$Language
$Language
Definition: ezad/admin/categoryedit.php:44

Definition at line 123 of file ezad/admin/categoryedit.php.

## ◆ $tree

$tree = $category->getTree()

Definition at line 172 of file ezad/admin/categoryedit.php.

Referenced by eZArticleCategory\copyTree(), eZGroupEvent\getByDate(), eZGroupEvent\getByGroupType(), eZAdCategory\getTree(), eZArticleCategory\getTree(), eZAppointmentType\getTree(), eZVirtualFolder\getTree(), eZGroupEventCategory\getTree(), eZGroupEventType\getTree(), eZImageCategory\getTree(), eZLinkCategory\getTree(), eZMailFolder\getTree(), eZMediaCategory\getTree(), eZTipCategory\getTree(), eZProductCategory\getTree(), and eZTSTranslator\validateDOMTree().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.